Robofab Dialogs



  • Hi, I'm trying to use Robofab's dialogs.

    from robofab.interface.all.dialogs import AskYesNoCancel
    AskYesNoCancel("foo?")
    

    And I get this traceback, it can't import EasyDialogs:

      File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/EasyDialogs.py", line 24, in 
    ImportError: cannot import name GetNewDialog
    

    I guess there's another workaround to this issue than building these dialogs from scratch using Vanilla, right?

    Thanks again,

    jca


  • admin

    There is indeed a RoboFab dialogs issue if you are working on Lion. It's better so see the RoboFab mailing list.

    http://groups.google.com/group/robofab/browse_thread/thread/ad1eedb2f0716e71

    This is going to be in the next update.

    If it's really urgent you can build them with vanilla :)



  • I know about the issue, i did some tests, but I thought it was FontLab 5.1 realted.
    And no, I'm not using Lion. Should dialogs work in Snow Leopard? As the traceback says it's seems the embeded python 2.7 can't import EasyDialogs...

    I can build them with vanilla, I know, but it's not urgent enough. I'll wait for a while if there's no other way.